module Mks
  module Rent
    class CompleteOfferRequestSerializer < ActiveModel::Serializer
      attributes :id, :description, :destination, :prepared_by_id, :prepared_by_full_name, :status

      belongs_to :client

      has_many :request_items

      class ClientSerializer < ActiveModel::Serializer
        attributes :id, :name
      end
    end
  end
end