class CreateMksRentOfferRequests < ActiveRecord::Migration[5.1]
  def change
    create_table :mks_rent_offer_requests do |t|
      t.references :client, index: { name: 'client_on_er_indx' }
      t.string :description
      t.string :destination
      t.references :prepared_by, index: { name: 'equipment_on_rb_indx' }
      t.string :status, null: false, default: 'DRAFT'

      t.timestamps
    end

    add_foreign_key :mks_rent_offer_requests, :mks_auth_users, column: :prepared_by_id
  end
end
